// @flow
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		options?: Object,
	) => transformGetRequest(response, data => data, options),

	url: `${baseURL}/API/documents-folders/:id`,
});
