// @flow
import {transformGetRequest} from 'helpers';
import {default as settings} from 'settings';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => data, options),

	url: `${baseURL}/API/notes/:id`,
});
