// @flow
import _ from 'lodash';
import {transformGetRequest} from 'helpers';
import {default as settings} from 'settings';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => _.extend(data, {transformed: {}}), options),

	url: `${baseURL}/API/users/:id`,
});
